Subject: Re: [PATCH] git-merge: Reduce heads before trying to merge them

From: Michał Kiedrowicz <[email-masked]>
Date: Wed, 18 Apr 2012 20:14:26 +0200

Junio C Hamano <[email-masked]> wrote:
 
> I was cooking a fix on-and-off since yesterday evening, and sent it out a
> few minutes ago. I think the spirit is almost the same as Michał's updated
> patch, but it reduces the heads even earlier to catch cases where Michał's
> updated patch may misdiagnose arity of the resulting merge due to its use
> of remoteheads->next before the list is reduced (namely, the choice of the
> default strategy based on how many we are merging).

I like your patches, especially how reducing heads is now done in
collect_parents() instead of doing it twice (before merging and in
finish_automerge()).  And that you got rid of global remoteheads too.